getPeaks2 {PROcess} | R Documentation

## Quantify peaks for individual spectra.

### Description

For a vector of given peak locations, quantify peaks for individual spectra.

### Usage

    getPeaks2(bseoffM, pVec, eps = 0.003)

### Arguments

`bseoffM` | A matrix of intensities, with rows the m/z values and columns samples.
`pVec` | A vector of given peak locations.
`eps` | Relative precision of peak location.

### Details

Each peak is expanded to an interval, eps * m/z to the left and right of the peak. Intensities of individual spectra are quantified by the maxima in this interval.

### Value

A matrix of intensities with rows the peaks 'pVec' and column the samples. The m/z values of 'pVec' is stored as the 'rownames' of the returned matrix.

[Package PROcess version 1.6.3 Index]